Loading...
Searching...
No Matches
osim_file Struct Reference

A single instance of a file: Descriptor and contents. More...

`#include <sim.h>`

## Data Fields

const struct osim_file_desc * | desc
| Descriptor for the file.
struct msgb * | encoded_data
| Encoded file contents.
struct osim_decoded_data * | decoded_data
| Parsed/Decoded file contents.

## Detailed Description

A single instance of a file: Descriptor and contents.

## Field Documentation

## decoded_data

struct osim_decoded_data* osim_file::decoded_data

Parsed/Decoded file contents.

## desc

const struct osim_file_desc* osim_file::desc

Descriptor for the file.

Referenced by osim_file_decode().

## encoded_data

struct msgb* osim_file::encoded_data

Encoded file contents.

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h